snd_unregister_device
Prev | Chapter 22. Sound Devices | Next

## Name

snd_unregister_device — unregister the device on the given card

## Synopsis

`int snd_unregister_device (` | int | type,
| struct snd_card * | card,
| int | dev`)`;

## Arguments

`type`

  the device type, SNDRV_DEVICE_TYPE_XXX

`card`

  the card instance

`dev`

  the device index

## Description

Unregisters the device file already registered via `snd_register_device`.

Returns zero if sucecessful, or a negative error code on failure

Prev | Up | Next
snd_register_device_for_dev | Home | copy_to_user_fromio